============    USING TRAINTRAX (MODEL RAILROADER) CATALOG ============
                       Copyright Doug Scott - 1992


I.  GENERAL INFORMATION & SYSTEM REQUIREMENTS:

    This program will run on any system, using DOS 2.0 or higher and having
a minimum of 512k FREE RAM (640k is recommended).   A hard drive is
recommended, as the performance is greatly improved over using a floppy drive.
Your system CONFIG.SYS file should have the FILES set at a minimum of 30 and
the BUFFERS set at a minimum of 20.  Consult your DOS manual on making this
change (if needed).

After running the file "MRR.EXE", you should have the following files:
    TRAINS.man    (The file you are reading now)
    RRTRAX.exe    (the TRAINTRAX program.)

The first time you run the TRAINTRAX program (RRTRAX.EXE), it will create
these additional files:
    ROSTER.DAT          ROSTER.K04           ROSTER.MEM     ROADNAME.K01
    ROSTER.K01          ROSTER.K05           SCALE.DAT      RRCAT.DAT
    ROSTER.K02          ROSTER.K06           SCALE.K01      RRCAT.K01
    ROSTER.K03          ROSTER.K07           ROADNAME.DAT

    (TOTAL space required for the TRAINTRAX program and related files is
approx 422 K.  This does not include your data files.)

At most stages of the program, you will see "F-1 = HELP" in the upper left
hand corner of the form or table on the screen.  If this notice is present,
you can press the F-1 key to access the on-line help for that function.

To get out of any option, press the ESCAPE key until you get back to where
you want to be.  Pressing CONTROL and ESCAPE will immediately take you back
to the last menu screen.

All printouts are formatted for 8.5 x 11 fanfold (continous) paper.  All
printing routines were tested on a Panasonic 1124 printer in EPSON mode and
should work on most compatible printers.


II.  STARTING THE MAIN PROGRAM

Log onto the drive which contains the program and
type "RRtrax" & press ENTER.

On accessing the Main menu screen, you will find the following options:

     1)  View/Update EQUIPMENT ROSTER
     2)  View/Update MODEL SCALES
     3)  View/Update CATEGORIES - TYPES
     4)  View/Update ROADNAMES
     5)  Print DELUXE LEVEL ROSTERS
     6)  Print SHAREWARE REGISTRATION (by pressing F-5)
     7)  Exit (by pressing ESCAPE)

Option 7 IS self explanatory.  To select options 1 through 5, use the up and
down arrow keys to highlight the option and press enter to select.  (You may
also use the "hot key" method to highlight an option by pressing the first
letter of that option.)  These methods of option selection are used on all
TRAINTRAX menus.







Option 1 is where most of the database file maintenance is done.  It is
through Viewing the equipment records that you can edit and delete existing
records, or add new records.  When you select this option, a small window
will pop up asking you to select either the STANDARD or DELUXE level of the
program.

The STANDARD level is designed for model railroaders who want a simple
system to keep track of their equipment.  For this level, you MUST record
the following information on each piece of model railroad equipment:
     1)  equipment category and type
     2)  the model scale
     3)  the model manufacturer
     4)  the ORIGINAL model name or number
     5)  the model railroad the equipment is lettered for
     6)  the road number assigned to the piece of equipment


The DELUXE level is designed for the more experienced model railroader who
has an extensive collection or has many expensive models, such as brass
engines.  For the DELUXE level, you MUST enter the same information as for
the STANDARD level. The following fields are optional:
     1)  the model material
     2)  the model paint and/or color
     3)  the original cost
     4)  the current location of the model
     5)  the current appraised value of the model
     6)  the prototype manufacturer
     7)  the prototype model which the model represents
     8)  the prototype railroad for the piece of equipment
     9)  the road number assigned to the prototype equipment
    10)  a note field containing up to 180 characters.



TRAINTRAX is a relational database.  Any information you enter in either
the STANDARD or the DELUXE level is accessible in the other level.  You
can start off with the STANDARD level now.  If you later decide to go to
the DELUXE level, you don't have to reenter the information.  Simply pull
up the equipment record in the DELUXE level option and edit it by adding
the additional information.  You can use the STANDARD level view/update and
print options with DELUXE level records.  Likewise, you can use any of the
DELUXE level view/update or print options with STANDARD level records.
However, to make full use of the DELUXE level features, you should complete
as many of the fields on the Deluxe level entry form as possible.
III.  ENTERING YOUR MODEL RAILROAD EQUIPMENT INFORMATION

     A)  Highlight the option VIEW/UPDATE EQUIPMENT ROSTER on the Main menu
and press ENTER to select.  Highlight the STANDARD or DELUXE level option and
press ENTER.

         On the STANDARD level menu, you will see the following options:
              View equipment by Model Railroad Name
                                      Equipment Category-Type
              Print STANDARD Level Roster

         On the DELUXE level menu, you will see the following options:
              View equipment by MODEL     Category-Type
                                          Roadname and Number
                                          Scale
                                          Manufacturer
              View equipment by PROTOTYPE Category-Type
                                          Roadname and Number





     B)  Select any of the "View Equipment" options (Highlight & press ENTER).
Since there will be no records in the file the first time you use TRAINTRAX,
you will go immediately to the Enter Record Information Screen.  You MUST
enter information into every field shown on the STANDARD level screen.  These
are the first six fields shown on the DELUXE level screen (above the thin
horizonal line):

         1) Equipment Category-Type:  the entry for this field must first be
            entered in the Equipment Category-Type table before you can enter
            it here.  Type the information EXACTLY as it appears in the
            Equipment Category-Type table or press ENTER to "pop-up" the
            table, then highlight the correct category-type & press ENTER to
            "import" the information to the Category-Type field of the record
            information form. (See Section V on the LOOK UP TABLES.)

         2) Scale:  Enter the scale for the piece of model railroad equipment
            being entered.  As with the equipment category-type, the scale
            information MUST be entered into the SCALE table before it can be
            entered here.  Once entered into the Scale table, highlight and
            press ENTER to select, or type the correct information as it
            appears in the table.   This table will "pop-up" if you press
            ENTER while the scale field is highlighted on the screen.
            Highlight the correct scale information and press ENTER to import
            it to the record information screen.  (See Section V on the LOOK
            UP TABLES.)

         3) Model Manufacturer:  Enter the company who built the model.  EG:
            Tyco, Walthers, Model Die Casting, Bowser, Kato, etc.  If the
            model is scratchbuilt, use that (or a similar) term here.

         4) Model:  enter the model name or number as it was built by the
            model manufacturer.  If it was a diesel engine, model FA and you
            modified it to resemble a FA2, you should still enter the
            original FA here.

         5) Model Railroad:  Enter the railroad which the model is painted
            and lettered for.  (If the piece was originally lettered for
            the Sante Fe, and you repainted and relettered it for the
            Pennsylvania Railroad, enter Pennsylvania here.)  As with
            Equipment Category-Type and Scale, there is also a table for
            Railroad name and reporting marks which you MUST have the correct
            railroad information entered into first.  Note that the
            information entered in the field on the record information screen
            is actually the railroad reporting marks.  The proper railroad
            information can be imported to the record information screen in
            the same manner as the other two "pop-up" tables noted above.
            (See Section V on the LOOK UP TABLES.)

         6) Model Railroad Number:  Enter the equipment roadnumber printed on
            the model.


     The following information can also be entered for the Deluxe level.
This information is not required, but completeing these fields will allow
you to use more of the Deluxe level features:

         7) Material:  What the model is made of (brass, plastic, wood, etc).
         8) Paint/Color:  The paint scheme or color(s) used on the model.
         9) Cost:  What you paid for the model.
        10) Location:  Use this when your model is "visiting" someone else's
            "pike".




        11) Current Value:  The current appraised value of your model (used
            with expensive models for insurance purposes).
        12) Prototype Manufacturer:  Who built the actual prototype for your
            model.
        13) Prototype Model:  What prototype model does your model represent.
        14) Prototype Railroad:  The reporting marks for the prototype
            railroad.  This information must be entered into the Railroad
            Name look up table first, just as the model railroad name.  To
            access this look up table, press the F-2 key.
        15) Prototype Railroad Number:  The road number on the prototype.
        16) Notes:  Any other information you wish to add in reference to
            this model.

     NOTE: pressing the F-1 (help) key while the entry form is on the screen
will provide on-line information as to what is entered into each field.

     The information you have entered for this equipment record will
automatically be saved when you press the ENTER key to complete the last
field.  If you are not going to complete all of the DELUXE level fields, you
can press the F-10 Key to save the information you have already entered.
After saving the record, the program will automatically go to the VIEW
EQUIPMENT table for the option you originally chose.  To enter another
equipment record, press the INSERT key and fill in the information as noted
above.


IV.  VIEWING YOUR MODEL RAILROAD INFORMATION

     After you have entered some equipment records, you can view them...

(STANDARD level) in alphabetical order by the Model Railroad Name or by the
Equipment Category-Type.

(DELUXE level) in alphabetical order by Model Category-Type, Model Railroad
Name, Model Scale, Model Manufacturer, Prototype Category-Type, or Prototype
Railroad Name.

(Note: After you have entered a large number of records, the program may take
several seconds to switch from one viewing option to another.)

     While in any viewing options, you can select to:

         1) ENTER A NEW RECORD by pressing the INSERT key and completing the
                equipment information.

         2) EDIT AN EXISTING RECORD by highlighting the record and pressing
                the ENTER key.  Then go to the field(s) you wish to change,
                enter the corrected information and press the ENTER key to go
                to the next field.  After editing the field(s), you can press
                the CONTROL and ENTER keys together to save the edited record
                and exit to the current viewing option.

         3) DELETE AN EXISTING RECORD by highlighting the record and pressing
                the DELETE key. The selected record will then be displayed on
                the screen. To delete it, press the ENTER key.  To abort the
                delete, press the ESCAPE key.   Use caution with the delete
                option.  Once you have deleted a record, you CANNOT recover
                it.  In case of an accidental deletion, you must enter the
                record completely as a new record.







         4) PRINT A RECORD by highlighting the record and pressing the ENTER
                key.  When the correct record is displayed on the screen,
                press the F-5 key to print a copy to your printer.



V.   VIEWING/UPDATING THE LOOK UP TABLES

     The TRAINTRAX program uses look up or "pop up" tables to assist you in
maintaining continuity in entering certain information.  These tables are
provided for the EQUIPMENT CATEGORY-TYPE (both model and prototype),  the
MODEL SCALE, and the RAILROAD NAME & REPORTING MARKS (both model and
prototype).  The required information must be entered into each of these look
up tables before it can be entered into the equipment record entry form.

     Select the individual look up table from the main menu.  As with the
equipment viewing tables noted in Section III, the information entry form
will be automatically displayed the first time you access each table.  Simply
enter the information into the appropriate field(s) of each form.  All of the
information is required.

     1) EQUIPMENT CATEGORY-TYPE:  You can enter what ever categories/types
        you wish.   (Specific examples might be "Engine-Steam, Engine-Diesel,
        Freight Car-Box, Passenger Car-Coach, Maintenance-Snowplow".)

     2) MODEL SCALE: Enter the Scales (O, HO, N, ETC.) which you will use.

     3) RAILROAD NAMES AND REPORTING MARKS:  Enter the full name of the
        railroad and the reporting marks which it uses.

     You can also View, Edit, or Delete the information in the look up tables
the same as you can with the equipment tables (Highlight and press ENTER to
view or edit. Highlight and press DELETE to delete.).

     On-line help for these look up tables is available by pressing F-1.
(The Help screens can not be viewed if the information entry form is on the
screen.)


VI.  PRINTING OPTIONS FOR REPORTS/LISTINGS

     You can print reports in either the Standard or Deluxe levels.  These
listings are very similar in appearance.

        The Standard level options are accessed by selecting View/Update
        EQUIPMENT ROSTER on the Main Menu, then selecting STANDARD level,
        and then select PRINT STANDARD LEVEL ROSTER.  The Standard Roster
        options are to print the entire data file (all the records entered)
        in alphabetical order by either Category-Type or Model Railroad Name.

        The Deluxe level options are accessed by selecting PRINT DELUXE LEVEL
        ROSTERS on the Main Menu.  You can then print an alphabetical listing
        of all the records by Category-Type or Model Railroad Name or print
        only records for a SELECTED Category-Type or Model Railroad Name












SHAREWARE Policy and User Registration:

The concept of SHAREWARE is to try a program BEFORE you by it.  If you like
the program and continue to use it beyond a specified period of time, you are
obligated to register your copy with the author.  Since the registration fee
involved is usually small when compared to comparable commercial programs,
you can receive quality programs at very reasonable costs.  Your registration
fee also supports the program authors and encourages them to produce more
quality products.


TRAINTRAX is distributed as SHAREWARE.  You are allowed to use this program
free of cost for a 21 day trial period.  You must register (or license) the
program if you continue to use it beyond this trial period.   During the
SHAREWARE trial period, you may freely copy and distribute this program;
provided that the program is intact and in its original form (including all
SHAREWARE notices), and that no fee is charged for this distribution.
Approved SHAREWARE vendors may charge a nominal fee to cover their costs of
distribution.  SHAREWARE vendors may also include other documentation and/or
files on the disk with this program, as long as no TRAINTRAX program files
are deleted or modified.

This program is copyrighted, Neither the SHAREWARE version nor the REGISTERED
version may be modified in any way without the author's prior written
consent.

On submitting the required $20 (US) registration fee, the author will send
you a REGISTERED version of this model railroad equipment Catalog.  This
REGISTERED version will contain the owner's name in the main menu screen.
You are allowed to make a back up copy of this REGISTERED version, but MAY
NOT distribute copies of it to others.


To print the REGISTRATION FORM....
press the F-5 key on the Main Menu Screen. Fill in the requested information
and send with a check or money order in the required amount to the address
shown on the opening Menu screen.   Be sure to note the proper disk size for
your system  (double density 5 1/4 or 3 1/2).  Also enter the name of your
model railroad if you wish this to be shown with your name on the opening
Menu screen. If you are a member of the National Model Railroad Association,
please enter your NMRA member number on the form.

                                   THANK YOU
----------------------------------------------------------------------------